This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 222593 - (pear-Image-Graph) Review Request: php-pear-Image-Graph - Displays numerical data as a graph/chart/plot
Review Request: php-pear-Image-Graph - Displays numerical data as a graph/cha...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-14 19:49 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 15:23:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-14 19:49:22 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Image-Graph.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Image-Graph-0.7.2-1.src.rpm

Description:
Image_Graph provides a set of classes that creates graphs/plots/charts based on
(numerical) data.

Many different plot types are supported: Bar, line, area, step, impulse,
scatter, radar, pie, map, candlestick, band, box & whisker and smoothed line,
area and radar plots.

The graph is highly customizable, making it possible to get the exact look and
feel that is required.

The output is controlled by a Image_Canvas, which facilitates easy output to
many different output formats, amongst others, GD (PNG, JPEG, GIF, WBMP),
PDF (using PDFLib), Scalable Vector Graphics (SVG).
Comment 1 Remi Collet 2007-03-10 10:25:49 EST
REVIEW :
* source files match upstream:
4e3f338314fe0754970a896686875a5e  Image_Graph-0.7.2.tgz
* package meets naming and
packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct (second form).
* license field matches the actual license.
* license is open source-compatible (LGPL).
* latest version is being packaged (0.7.2)
* BuildRequires are proper.
* %clean is present.
* package builds in mock (FC6).
* package installs properly
* rpmlint is silent.
* final provides are sane:
php-pear(Image_Graph) = 0.7.2
php-pear-Image-Graph = 0.7.2-1.fc7
=> final Requires are sane:
php-pear(Image_Canvas) >= 0.3.0
php-pear(Numbers_Roman)  
php-pear(Numbers_Words)  
php-pear(PEAR)  
* %check is not present; 
* owns the directories it creates
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear install)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Tests works well and produce nice charts ;)
only a font problem (Arial) with tests/freetype.php

Most Examples works well.

To avoid some warnign, Should change
 find docdir -exec sed -i 's/\r//' {} \;
To 
 find docdir -type f -exec sed -i 's/\r//' {} \;

* APPROVED *
Comment 2 Christopher Stone 2007-03-10 17:38:52 EST
New Package CVS Request
=======================
Package Name: php-pear-Image-Graph
Short Description: Displays numerical data as a graph/chart/plot
Owners: chris.stone@gmail.com
Branches: FC-5 FC-6 devel
InitialCC: 
Comment 3 Jens Petersen 2007-03-11 19:44:35 EDT
done
Comment 4 Christopher Stone 2007-03-12 15:23:19 EDT
- Added -type f to sed command
- Checked in sources
- Built on devel, FC-6 and FC-5

Thanks for the review!

:D
Comment 5 Christopher Stone 2007-04-29 14:39:21 EDT
Package Change Request
======================
Package Name: php-pear-Image-Graph
New Branches: EL-5


Note You need to log in before you can comment on or make changes to this bug.